Subject: [IPsec] Three new IPsec+RoHC RFCs just published

From: Yaron Sheffer <[email-masked]>
Date: Sat, 15 May 2010 08:40:52 +0300

FYI: RFC 5856, 5857, 5858.

Thanks,

     Yaron

Subject: RFC 5858 on IPsec Extensions to Support Robust Header Compression over IPsec
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 14 May 2010 16:07:50 -0700 (PDT)
List-Id: "IETF announcement list. No discussions." <ietf-announce.ietf.org>

A new Request for Comments is now available in online RFC libraries.

        RFC 5858

        Title:      IPsec Extensions to Support Robust 
                    Header Compression over IPsec 
        Author:     E. Ertekin, C. Christou,
                    C. Bormann
        Status:     Standards Track
        Stream:     IETF
        Date:       May 2010
        Mailbox:    [email-masked], 
                    [email-masked], 
                    [email-masked]
        Pages:      15
        Characters: 31539
        Updates/Obsoletes/SeeAlso:   None

        I-D Tag:    draft-ietf-rohc-ipsec-extensions-hcoipsec-08.txt

        URL:        http://www.rfc-editor.org/rfc/rfc5858.txt

Integrating Robust Header Compression (ROHC) with IPsec (ROHCoIPsec)
offers the combined benefits of IP security services and efficient
bandwidth utilization.  However, in order to integrate ROHC with
IPsec, extensions to the Security Policy Database (SPD) and Security
Association Database (SAD) are required.  This document describes the
IPsec extensions required to support ROHCoIPsec.  [STANDARDS TRACK]

This document is a product of the Robust Header Compression Working Group of the IETF.

This is now a Proposed Standard Protocol.

STANDARDS TRACK: This document specifies an Internet standards track
protocol for the Internet community,and requests discussion and suggestions
for improvements.  Please refer to the current edition of the Internet
Official Protocol Standards (STD 1) for the standardization state and
status of this protocol.  Distribution of this memo is unlimited.

This announcement is sent to the IETF-Announce and rfc-dist lists.
To subscribe or unsubscribe, see
  http://www.ietf.org/mailman/listinfo/ietf-announce
  http://mailman.rfc-editor.org/mailman/listinfo/rfc-dist

For searching the RFC series, see http://www.rfc-editor.org/rfcsearch.html.
For downloading RFCs, see http://www.rfc-editor.org/rfc.html.

Requests for special distribution should be addressed to either the
author of the RFC in question, or to [email-masked].  Unless
specifically noted otherwise on the RFC itself, all RFCs are for
unlimited distribution.

The RFC Editor Team
Association Management Solutions, LLC

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf-announce

Subject: RFC 5857 on IKEv2 Extensions to Support Robust Header Compression over IPsec
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 14 May 2010 16:07:19 -0700 (PDT)
List-Id: "IETF announcement list. No discussions." <ietf-announce.ietf.org>

A new Request for Comments is now available in online RFC libraries.

        RFC 5857

        Title:      IKEv2 Extensions to Support Robust 
                    Header Compression over IPsec 
        Author:     E. Ertekin, C. Christou,
                    R. Jasani, T. Kivinen,
                    C. Bormann
        Status:     Standards Track
        Stream:     IETF
        Date:       May 2010
        Mailbox:    [email-masked], 
                    [email-masked], 
                    [email-masked],  [email-masked], 
                    [email-masked]
        Pages:      13
        Characters: 27063
        Updates/Obsoletes/SeeAlso:   None

        I-D Tag:    draft-ietf-rohc-ikev2-extensions-hcoipsec-12.txt

        URL:        http://www.rfc-editor.org/rfc/rfc5857.txt

In order to integrate Robust Header Compression (ROHC) with IPsec, a
mechanism is needed to signal ROHC channel parameters between
endpoints.  Internet Key Exchange (IKE) is a mechanism that can be
leveraged to exchange these parameters.  This document specifies
extensions to IKEv2 that will allow ROHC and its associated channel
parameters to be signaled for IPsec Security Associations (SAs).  
[STANDARDS TRACK]

This document is a product of the Robust Header Compression Working Group of the IETF.

This is now a Proposed Standard Protocol.

STANDARDS TRACK: This document specifies an Internet standards track
protocol for the Internet community,and requests discussion and suggestions
for improvements.  Please refer to the current edition of the Internet
Official Protocol Standards (STD 1) for the standardization state and
status of this protocol.  Distribution of this memo is unlimited.

This announcement is sent to the IETF-Announce and rfc-dist lists.
To subscribe or unsubscribe, see
  http://www.ietf.org/mailman/listinfo/ietf-announce
  http://mailman.rfc-editor.org/mailman/listinfo/rfc-dist

For searching the RFC series, see http://www.rfc-editor.org/rfcsearch.html.
For downloading RFCs, see http://www.rfc-editor.org/rfc.html.

Requests for special distribution should be addressed to either the
author of the RFC in question, or to [email-masked].  Unless
specifically noted otherwise on the RFC itself, all RFCs are for
unlimited distribution.

The RFC Editor Team
Association Management Solutions, LLC

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf-announce

Subject: RFC 5856 on Integration of Robust Header Compression over IPsec Security Associations
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 14 May 2010 16:07:07 -0700 (PDT)
List-Id: "IETF announcement list. No discussions." <ietf-announce.ietf.org>

A new Request for Comments is now available in online RFC libraries.

        RFC 5856

        Title:      Integration of Robust Header Compression 
                    over IPsec Security Associations 
        Author:     E. Ertekin, R. Jasani,
                    C. Christou, C. Bormann
        Status:     Informational
        Stream:     IETF
        Date:       May 2010
        Mailbox:    [email-masked], 
                    [email-masked], 
                    [email-masked],  [email-masked]
        Pages:      15
        Characters: 34548
        Updates/Obsoletes/SeeAlso:   None

        I-D Tag:    draft-ietf-rohc-hcoipsec-13.txt

        URL:        http://www.rfc-editor.org/rfc/rfc5856.txt

IP Security (IPsec) provides various security services for IP
traffic.  However, the benefits of IPsec come at the cost of
increased overhead.  This document outlines a framework for
integrating Robust Header Compression (ROHC) over IPsec (ROHCoIPsec).
By compressing the inner headers of IP packets, ROHCoIPsec proposes
to reduce the amount of overhead associated with the transmission of
traffic over IPsec Security Associations (SAs).  This document is not an 
Internet Standards Track specification; it is published for informational 
purposes.

This document is a product of the Robust Header Compression Working Group of the IETF.

INFORMATIONAL: This memo provides information for the Internet community.
It does not specify an Internet standard of any kind. Distribution of
this memo is unlimited.

This announcement is sent to the IETF-Announce and rfc-dist lists.
To subscribe or unsubscribe, see
  http://www.ietf.org/mailman/listinfo/ietf-announce
  http://mailman.rfc-editor.org/mailman/listinfo/rfc-dist

For searching the RFC series, see http://www.rfc-editor.org/rfcsearch.html.
For downloading RFCs, see http://www.rfc-editor.org/rfc.html.

Requests for special distribution should be addressed to either the
author of the RFC in question, or to [email-masked].  Unless
specifically noted otherwise on the RFC itself, all RFCs are for
unlimited distribution.

The RFC Editor Team
Association Management Solutions, LLC

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf-announce